summaryrefslogtreecommitdiff
path: root/examples/pre-commit
diff options
context:
space:
mode:
Diffstat (limited to 'examples/pre-commit')
-rw-r--r--examples/pre-commit27
1 files changed, 0 insertions, 27 deletions
diff --git a/examples/pre-commit b/examples/pre-commit
deleted file mode 100644
index b91635d..0000000
--- a/examples/pre-commit
+++ /dev/null
@@ -1,27 +0,0 @@
-#!/bin/sh
-#
-# An example hook script to store metadata information using
-# metastore on each commit.
-
-MSFILE=".metadata"
-
-exit_on_fail() {
- "$@"
- if [ $? -ne 0 ]; then
- echo "Failed to execute: $@" >&2
- exit 1
- fi
-}
-
-exit_on_fail \
- metastore -s -f "$MSFILE"
-
-if [ ! -e "$MSFILE" ]; then
- echo "\"$MSFILE\" missing" >&2
- exit 1
-fi
-
-exit_on_fail \
- git-add "$MSFILE"
-
-exit 0